import { useQuery } from '@tanstack/react-query';

import { UserService } from '@/client/services/UserService';

export function useUserNotifications() {
  return useQuery({
    queryKey: ['user', 'notifications'],
    queryFn: () => UserService.userGetNotifications().then((r) => r.data),
    staleTime: 1000 * 60 * 5,
  });
}
